Create Lookalike Audience
curl --request POST \
--url https://public.plai.io/meta/create_lookalike_audience \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"userId": "<string>",
"sourceType": "<string>",
"sourceId": "<string>",
"audienceName": "<string>",
"countryCode": "<string>"
}
'import requests
url = "https://public.plai.io/meta/create_lookalike_audience"
payload = {
"userId": "<string>",
"sourceType": "<string>",
"sourceId": "<string>",
"audienceName": "<string>",
"countryCode": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
userId: '<string>',
sourceType: '<string>',
sourceId: '<string>',
audienceName: '<string>',
countryCode: '<string>'
})
};
fetch('https://public.plai.io/meta/create_lookalike_audience', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"results": {
"id": "<string>",
"name": "<string>",
"error": "<string>"
}
}Audience
Create Lookalike Audience
This endpoint allows you to create a Lookalike Audience based on an existing custom audience. A Lookalike Audience helps you reach new people who are similar to your existing customers, improving the chances of ad engagement and conversion.
POST
/
meta
/
create_lookalike_audience
Create Lookalike Audience
Request Body
string
required
User ID, If not already created, make a user on create user
page first. If already created,
retrieve the user ID from get profile
page.
string
required
Source Type =
PAGE or AUDIENCEstring
You can get the source id from get custom
audiences endpoint.
Pass custom audience id in
sourceId parameter.If sourceType is
If sourceType is
PAGE, you don’t need to send the sourceId
parameter.
If sourceType is
AUDIENCE, you must include the sourceId parameter.string
required
Audience Name
string
required
ISO 3166-1 alpha-2 country codes e.g:
US,UKResponse
boolean
Indicates that the HTTP response was successful (status code 200 OK).